import 'package:dio/dio.dart';
import 'package:flutter/material.dart';
import '../constants/constant.dart';
import '../screens/data_submit_successfull.dart';
import '../services/api_client.dart';
import '../services/api_urls.dart';

class VisitPdRdProvider with ChangeNotifier {
  final _apiClient = ApiClient();
  bool _isLoading = false;
  void setLoading(bool loading) {
    _isLoading = loading;
    notifyListeners();
  }

Future<void> submitVisitPdRd(String id) async {
    setLoading(true);
    try {
      Response response = await _apiClient.put(ApiUrls.updateTaskInventoryUrl+id);
      debugPrint('Response: $response');
      setLoading(false);
      if (response.statusCode == 200) {
        Navigator.push(
            navigatorKey.currentContext!,
            MaterialPageRoute(
                builder: (context) => const DataSubmitSuccessFullScreen()));
      }
    } catch (e) {
      setLoading(false);
      debugPrint("Error: $e");
    }
  }
}