import 'package:cheminova/models/product_manual_model.dart';
import 'package:flutter/material.dart';
import 'package:flutter_cached_pdfview/flutter_cached_pdfview.dart';

class ViewPdfScreen extends StatefulWidget {
  final ProductManualModel productManualModel;

  const ViewPdfScreen({super.key, required this.productManualModel});

  @override
  State<ViewPdfScreen> createState() => _ViewPdfScreenState();
}

class _ViewPdfScreenState extends State<ViewPdfScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: SafeArea(
            child: const PDF(
                    fitEachPage: true,
                    fitPolicy: FitPolicy.BOTH,
                    autoSpacing: false)
                .cachedFromUrl(
                    widget.productManualModel.productManualDetail.url,
                    placeholder: (progress) =>
                        Center(child: Text('$progress %')),
                    errorWidget: (error) =>
                        Center(child: Text(error.toString())))));
  }
}
